
#ifndef CHICKEN_H
#define CHICKEN_H

#include <time.h>			// time()
#include <enginecallback.h>		// ALERT()
#include <sdk_util.h>			// UTIL_VarArgs()
#include <api_info.h>

#define MY_DATE		"21/06/2002" //dd/mm/yy
#define MY_VERSION	"1.0.5"
#define MY_NAME		"ChickenMod"
#define MY_AUTHOR	"ConiX <Qu3@swirve.com>, Modified by OLO & dJeyL"
#define MY_URL		"joe.to/chicken.html"
#define MY_LOGTAG	"CHICKEN"

struct player_t {
	edict_t*	pEdict;
	edict_t*	pChicken;
	int			viewmodel;		//v.viewmodel
	Vector		view_ofs;		//v.view_ofs
	float		gravity;
	float		maxspeed;
	int			index;
	int			team;
	bool		ingame;
	float		attack_time;
	bool		fake;
	bool		dead;
	float		chicken_say;
	bool		make_feather;
        int		glowteam;
};

#define INDEXPLAYER(a) &players[a]
#define ENTPLAYER(a) &players[ENTINDEX(a)]


extern char team_name[10][32];
extern int	team_num;
extern float checktime;
extern int feather;		// id of feather model
extern int state;		// state of engine message
extern int entindex;		// index of entity in engine message
extern player_t *bombplanter; // last player having c4 in hands
extern player_t players[33];

void Client_TeamInfo(void* value);
void Client_ResetHUD(void* value);
void Client_SendAudio(void* value);
void Client_Damage(void* value);
void UTIL_LogPrintf( char *fmt, ... );
void UpdateNumbers();

void c_unchicken(void);
void c_chicken(void);
void Glow(player_t* pPlayer);

extern cvar_t*	c_gravity;
extern cvar_t*	c_health;
extern cvar_t*	c_glow;
extern cvar_t*	c_maxspeed;
extern cvar_t*	c_alive;
extern cvar_t*	c_chickens;
extern cvar_t*	c_bomb;
extern cvar_t*	c_egg;

#define GETTEAMNAME(a) team_name[a]
#define SETCLIENTMAXSPEED	(*g_engfuncs.pfnSetClientMaxspeed)

#endif // STATSME_H
